DSA_size(3) | OpenSSL | DSA_size(3)

# NAME

DSA_size - get DSA signature size

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/dsa.h>
     int DSA_size(const DSA *dsa);

# DESCRIPTION

This function returns the size of an ASN.1 encoded DSA signature in bytes. It can be used to determine how much memory must be allocated for a DSA signature.
dsa->q must not be NULL.

# RETURN VALUE

The size in bytes.

# SEE ALSO

openssl_dsa(3), DSA_sign(3)

# HISTORY

DSA_size() is available in all versions of SSLeay and OpenSSL.

2009-07-19 | 1.0.2k